
package net.mcreator.rusted.block;

import net.minecraftforge.registries.ObjectHolder;
import net.minecraftforge.common.util.ForgeSoundType;

import net.minecraft.world.IBlockReader;
import net.minecraft.util.math.BlockPos;
import net.minecraft.util.SoundEvent;
import net.minecraft.util.ResourceLocation;
import net.minecraft.loot.LootContext;
import net.minecraft.item.ItemStack;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.Item;
import net.minecraft.item.BlockItem;
import net.minecraft.block.material.Material;
import net.minecraft.block.BlockState;
import net.minecraft.block.Block;

import net.mcreator.rusted.RustedModElements;

import java.util.List;
import java.util.Collections;

@RustedModElements.ModElement.Tag
public class TheChosenBlockBlock extends RustedModElements.ModElement {
	@ObjectHolder("rusted:the_chosen_block")
	public static final Block block = null;
	public TheChosenBlockBlock(RustedModElements instance) {
		super(instance, 29);
	}

	@Override
	public void initElements() {
		elements.blocks.add(() -> new CustomBlock());
		elements.items
				.add(() -> new BlockItem(block, new Item.Properties().group(ItemGroup.BUILDING_BLOCKS)).setRegistryName(block.getRegistryName()));
	}
	public static class CustomBlock extends Block {
		public CustomBlock() {
			super(Block.Properties.create(Material.IRON)
					.sound(new ForgeSoundType(1.0f, 1.0f, () -> new SoundEvent(new ResourceLocation("block.ancient_debris.break")),
							() -> new SoundEvent(new ResourceLocation("block.ancient_debris.step")),
							() -> new SoundEvent(new ResourceLocation("block.ancient_debris.place")),
							() -> new SoundEvent(new ResourceLocation("block.ancient_debris.hit")),
							() -> new SoundEvent(new ResourceLocation("block.ancient_debris.break"))))
					.hardnessAndResistance(1f, 10f).setLightLevel(s -> 0));
			setRegistryName("the_chosen_block");
		}

		@Override
		public int getOpacity(BlockState state, IBlockReader worldIn, BlockPos pos) {
			return 15;
		}

		@Override
		public List<ItemStack> getDrops(BlockState state, LootContext.Builder builder) {
			List<ItemStack> dropsOriginal = super.getDrops(state, builder);
			if (!dropsOriginal.isEmpty())
				return dropsOriginal;
			return Collections.singletonList(new ItemStack(this, 1));
		}
	}
}
